Subject: [bug#29893] [PATCH] gnu: java-aqute-bnd-annotation: Update to 3.5.0.

From: Gábor Boskovits <[email-masked]>
Date: Wed, 10 Jan 2018 10:44:43 +0100

Hello!

Fix is filed as https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30062
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30062>.
Please push that first.

2018-01-10 10:08 GMT+01:00 Gábor Boskovits <[email-masked]>:

> We can't simply commit this, I've just founr it breaks
> java-ops4j-pax-tinybudles reverse dependency.
> Sorry about that. It break the testsuit, because the testsuite hardcodes
> the version of bnd.
> I will send a patch to that to this bug, then those together can be
> applied.
>
> 2018-01-10 8:37 GMT+01:00 Chris Marusich <[email-masked]>:
>
>> Gábor Boskovits <[email-masked]> writes:
>>
>> > * gnu/packages/java.scm (java-aqute-bnd-annotation): Update to 3.5.0.
>>
>> This looks OK to me.  I ran "guix lint" and "guix build" to verify it
>> builds reproducibly.
>>
>> Is there any reason why we shouldn't just commit this now to
>> core-updates?
>>
>> --
>> Chris
>>
>
>